class Permify::Permission
  class Dynamic < self
    def initialize(checks)
      @checks = checks
    end

    def granted?(candidate, resource)
      @checks.all? { |check|
        check.new(candidate, resource).success?
      }
    end
  end
end
